apiVersion: v1
kind: Service
metadata:
  namespace: {{ .Values.global.TPCC_NAMESPACE }}
  name: tpcc-main
  labels:
    app: tpcc-main
spec:
  selector:
    app: tpcc-main
  ports:
  - protocol: TCP
    port: 30080
    targetPort: 30080
---
apiVersion: v1
kind: Service
metadata:
  namespace: {{ .Values.global.TPCC_NAMESPACE }}
  name: tpcc-neworder
  labels:
    app: tpcc-neworder
spec:
  selector:
    app: tpcc-neworder
  ports:
  - protocol: TCP
    port: 30081
    targetPort: 30081
---
apiVersion: v1
kind: Service
metadata:
  namespace: {{ .Values.global.TPCC_NAMESPACE }}
  name: tpcc-orderstatus
  labels:
    app: tpcc-orderstatus
spec:
  selector:
    app: tpcc-orderstatus
  ports:
  - protocol: TCP
    port: 30084
    targetPort: 30084
---
apiVersion: v1
kind: Service
metadata:
  namespace: {{ .Values.global.TPCC_NAMESPACE }}
  name: tpcc-user
  labels:
    app: tpcc-user
spec:
  selector:
    app: tpcc-user
  ports:
  - protocol: TCP
    port: 30087
    targetPort: 30087
---
apiVersion: v1
kind: Service
metadata:
  namespace: {{ .Values.global.TPCC_NAMESPACE }}
  name: tpcc-delivery
  labels:
    app: tpcc-delivery
spec:
  selector:
    app: tpcc-delivery
  ports:
  - protocol: TCP
    port: 30083
    targetPort: 30083
---
apiVersion: v1
kind: Service
metadata:
  namespace: {{ .Values.global.TPCC_NAMESPACE }}
  name: tpcc-payment
  labels:
    app: tpcc-payment
spec:
  selector:
    app: tpcc-payment
  ports:
  - protocol: TCP
    port: 30082
    targetPort: 30082
---
apiVersion: v1
kind: Service
metadata:
  namespace: {{ .Values.global.TPCC_NAMESPACE }}
  name: tpcc-sendmail
  labels:
    app: tpcc-sendmail
spec:
  selector:
    app: tpcc-sendmail
  ports:
  - protocol: TCP
    port: 30086
    targetPort: 30086
---
apiVersion: v1
kind: Service
metadata:
  namespace: {{ .Values.global.TPCC_NAMESPACE }}
  name: tpcc-shipping
  labels:
    app: tpcc-shipping
spec:
  selector:
    app: tpcc-shipping
  ports:
  - protocol: TCP
    port: 30088
    targetPort: 30088
---
apiVersion: v1
kind: Service
metadata:
  namespace: {{ .Values.global.TPCC_NAMESPACE }}
  name: tpcc-stocklevel
  labels:
    app: tpcc-stocklevel
spec:
  selector:
    app: tpcc-stocklevel
  ports:
  - protocol: TCP
    port: 30085
    targetPort: 30085
